<template>
  <v-layout row justify-center>
    <v-dialog v-model="dialogDataProp" width="600px" height="600px">
      <v-card>
        <v-card-title>
          <span class="headline">Clinia Interna</span>
        </v-card-title>

        <v-card-text style="height: 300px;">

          <v-flex x12 md12>
            <v-checkbox v-model="checked" label="Muestra asegurada"></v-checkbox>
          </v-flex>

          <v-flex xs12 md12>
            <v-textarea v-model="notes" name="input-7-1" label="Anotaciones"></v-textarea>
          </v-flex>

          <upload-image v-model="image" />
        </v-card-text>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="error" flat @click="closeDialog">
            Cerrar
          </v-btn>

          <v-btn color="primary" flat @click="onUpdate">
            Ingresar
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-layout>
</template>
<script>
  import UploadImage from '../UploadImage'
  import axios from 'axios';
  import server from '../../server'

    export default {
      name: "TaskDialogCongeladas",
      components: {
        UploadImage
      },
      data() {
        return {
          notes: '',
          checked: false,
          image: null,
          listErrors: null
        }
      },
      props: {
        dialog: Boolean,
        cid: Number
      },
      methods:{
        closeDialog() {
          this.clearDialog()
          this.$emit('close-dialog')
        },
        clearDialog() {
            this.notes = "";
            this.checked = false;
            this.image = null;
        },
        setTaskDetail(id) {
          this.$store.dispatch('setTaskCongeladasDetail', id);
        },
        async onUpdate(e){
          e.preventDefault();

          const datos = {
            checked: this.checked,
            image: this.image,
            notes: this.notes,
            task_id: this.$route.params.id,
          }

          let self = this;
          await axios.post(`${server}/api/task/congeladas/update/${self.cid}`, datos, {
            headers: {
              Authorization: this.$store.getters.getAccessToken
            }
          }).then((rest) => {
            this.setTaskDetail(this.$route.params.id);
            this.closeDialog()
          }).catch((er) => {
            this.listErrors = er.response.data.errors
            console.log(er.response)
          });
        },
      },
      computed: {
        dialogDataProp: {
          get: function () {
            return this.dialog
          },
          set() {}
        },

      }
    }
</script>

<style scoped>

</style>
